Page MenuHomePhabricator

[TSan] Improve handling of stack pointer mangling in {set,long}jmp, pt.4
ClosedPublic

Authored by yln on Jun 28 2019, 11:24 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

yln created this revision.Jun 28 2019, 11:24 AM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptJun 28 2019, 11:24 AM
Herald added subscribers: llvm-commits, Restricted Project, kubamracek. · View Herald Transcript
dvyukov accepted this revision.Jul 4 2019, 11:22 AM

Nice!

This revision is now accepted and ready to land.Jul 4 2019, 11:22 AM
This revision was automatically updated to reflect the committed changes.
yln added a comment.Jul 5 2019, 2:10 PM

I reverted this, because we are doing a call (%rsi is not a preserved register), so of course we have to save/restore it (even if we don't clobber it ourselves).